

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>分销登录</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<link type="text/css" href='//2ms.faisys.com/css/dist/styles/base.min.css?v=202403071601' rel="stylesheet" />
<link type="text/css" href='//2ms.faisys.com/css/dist/styles/dist.min.css?v=202403061319' rel="stylesheet" />
<script type="text/javascript" src="//1ms.faisys.com/js/comm/jquery/jquery-core.min.js?v=202403061319"></script>
<script type="text/javascript" src="//1ms.faisys.com/js/comm/jquery/jquery-ui-core.min.js?v=202403061319"></script>
<script type="text/javascript" src="//1ms.faisys.com/js/comm/fai.min.js?v=202403061319"></script>
<script type="text/javascript" src="//1ms.faisys.com/js/dist/libs/comMethods.min.js?v=202403061319"></script>
<script type="text/javascript" src="//1ms.faisys.com/js/dist/site.min.js?v=202403071601"></script>

<script type="text/javascript">
var _isManageMode = false;

$(function(){
	showPage(1);

	$("#J_btn").click(function(){
		showPage(2);
	});

	$(".J_agreeLabel").click(function(event){
		var classname = $(".J_agreeLabel span").attr("class");
		if(classname.indexOf("icon-checkIcon")>-1){
			classname = "icon-uncheckIcon";
		}else if(classname.indexOf("icon-uncheckIcon")>-1){
			classname = "icon-checkIcon";
		}
		$($(".J_agreeLabel span")).removeClass("icon-uncheckIcon icon-checkIcon");
		$($(".J_agreeLabel span")).addClass(classname);
	});

	
	$("#J_showProtocol").click(function(e){
		$("#J_protocolContainer").show();
		stopPropagation(e);
	});
	$("#J_protocolBtn").click(function(){
		$("#J_protocolContainer").hide();
	});

	$(".propTxt").each(function(i,n){
		var tmpFk = $(this).parent(".item").attr("_fk") || "";
		if(tmpFk=="mobile"){
			$(this).attr("maxlength",11);
		}else{
			$(this).attr("maxlength",50);
		}
	});
});

Date.prototype.format = function(formatStr){
	var str = formatStr;
	var Week = ['日','一','二','三','四','五','六'];

	str=str.replace(/yyyy|YYYY/,this.getFullYear());
	str=str.replace(/yy|YY/,(this.getYear() % 100)>9?(this.getYear() % 100).toString():'0' + (this.getYear() % 100));

	var month = this.getMonth()+1;
	str=str.replace(/MM/,month>9?month.toString():'0' + month);
	str=str.replace(/M/g,month);

	str=str.replace(/w|W/g,Week[this.getDay()]);

	str=str.replace(/dd|DD/,this.getDate()>9?this.getDate().toString():'0' + this.getDate());
	str=str.replace(/d|D/g,this.getDate());

	str=str.replace(/hh|HH/,this.getHours()>9?this.getHours().toString():'0' + this.getHours());
	str=str.replace(/h|H/g,this.getHours());
	str=str.replace(/mm/,this.getMinutes()>9?this.getMinutes().toString():'0' + this.getMinutes());
	str=str.replace(/m/g,this.getMinutes());

	str=str.replace(/ss|SS/,this.getSeconds()>9?this.getSeconds().toString():'0' + this.getSeconds());
	str=str.replace(/s|S/g,this.getSeconds());

	return str;
}

/**
*type---1:二维码页，2:申请页,3：申请成功页
**/
function showPage(type){
	if(type==1){
		$("#J_codePage").show();
		$("#J_applyPage").hide();
		$("#J_applySuccess").hide();
		$("body").removeClass("bodyClass2");
		$("body").addClass("bodyClass1");
	}else if(type==2){
		$("#J_applySuccess").hide();
		$("#J_codePage").hide();
		$("#J_applyPage").show();
		$("body").removeClass("bodyClass1");
		$("body").addClass("bodyClass2");
	}else if(type==3){
		$("#J_applySuccess").show();
		$("#J_codePage").hide();
		$("#J_applyPage").hide();
		$("body").removeClass("bodyClass1");
		$("body").addClass("bodyClass2");
	}
}

var saveLock = false;
function save(){
	if(_isManageMode){
		Fai.ing("当前为管理态，不可提交申请");
		return;
	}
	if(saveLock){
		return;
	}
	saveLock = true;
	var signupData = {};
	var isReturn = false;
	$("#J_applyPage").find(".item").each(function(i,n){
		var isRequire = !($(n).find(".required").hasClass("hide"));
		var name = $(n).find(".propName").html() || "";
		var val = $(n).find(".J_propVal").val() || "";
		var fk = $(n).attr("_fk") || "";

		if(name.indexOf("：") == name.length-1){
			name = name.substring(0,name.length-1);
		}
		if(isRequire && val==""){
			Fai.ing("“"+name+"”不能为空");
			isReturn = true;
			return false;
		}
		if(fk=="name"){
			if(!isNaN(val)){
				Fai.ing("“"+name+"”不能为纯数字");
				isReturn = true;
				return false;
			}
		}

		if(fk=="email"){
			if(!Fai.isEmail(val)){
				Fai.ing("请输入格式正确的“"+name+"”");
				isReturn = true;
				return false;
			}
		}
		if(fk=="mobile"){
			if(!Fai.isMobile(val)){
				Fai.ing("请输入格式正确的“"+name+"”");
				isReturn = true;
				return false;
			}
		}

		signupData[fk] = val;
	});
	if(!$('#agreeCheck').is(':checked')){
		Fai.ing("请勾选服务协议");
		isReturn = true;
	}

	signupData["validateCode"] = $(".captchaTxt").val()||"";

	if(isReturn){
		saveLock = false;
		return;
	}

	$.ajax({
		type : 'post',
		url  : 'ajax/dist_h.jsp?cmd=addWafCk_signup',
		data : 'info=' + Fai.encodeUrl( $.toJSON(signupData) ),
		error: function(){
			Fai.ing("系统错误，请稍后重试...");
		},
		success:function(result){
			result = $.parseJSON(result);
			if(result.success){
				showPage(3);
				$("#J_applyPage").find(".item .J_propVal").val("");
				$("#J_applySuccess").find(".leftDate").html(new Date().format("yyyy/MM/dd HH:mm"));
			} else if(result.needCode){
				Fai.ing(result.msg);
				$(".captchaItem").show();
			} else {
				Fai.ing(result.msg);
			}
			saveLock = false;
		}
	});
}

function stopPropagation(evt){
	var e=(evt)?evt:window.event;
	 if (window.event) {
		e.cancelBubble=true;// ie下阻止冒泡
	} else {
		e.stopPropagation();// 其它浏览器下阻止冒泡
	}
}
</script>
</head>
<body>
	<!-- 扫二维码页 -->
	<div class="codePage" id="J_codePage">
		<div class="qrCode"><img src="/qrCode.jsp?cmd=distQR&_s=800&_t=1" width="224px" height="224px"></div>
		<div class="txt">请扫描二维码，在手机管理您的分销商</div>
		<div class="btn" id="J_btn">申请成为分销商</div>
	</div>

	<!-- 申请页 -->
	<div class="applyPage" id="J_applyPage">
		<div class="title">申请成为分销商</div>
		<div class="content">
			
						<div class="item" _fk="name">
							<span class="propName" title="姓名">姓名：</span>
							
								<input type="text" class="J_propVal propTxt" placeholder="请输入姓名"/>
							
							<span class="required ">*</span>
						</div>
			
						<div class="item" _fk="email">
							<span class="propName" title="邮箱">邮箱：</span>
							
								<input type="text" class="J_propVal propTxt" placeholder="请输入邮箱"/>
							
							<span class="required ">*</span>
						</div>
			
						<div class="item" _fk="mobile">
							<span class="propName" title="手机">手机：</span>
							
								<input type="text" class="J_propVal propTxt" placeholder="请输入手机"/>
							
							<span class="required ">*</span>
						</div>
			

			<div class="captchaItem">
				<span class="propName">验证码：</span>
				<input type="text" class="captchaTxt" placeholder="请输入验证码"/>
				<img src="/validateCode.jsp?v=4420.544870832522">
			</div>

			<div class="agreeBox">
				<input type="checkbox" id="agreeCheck" class="agreeCheck"/>
				<label for="agreeCheck" class="agreeLabel J_agreeLabel">
					<span class="checkIcon icon-uncheckIcon"></span>
					我已阅读并接受
				</label>
				<a id="J_showProtocol">“分销协议”</a>
			</div>

			<div class="applyBtn" onclick="save()">申请成为分销商</div>
		</div>
	</div>

	<!-- 申请成功页 -->
	<div class="applySuccess" id="J_applySuccess">
		<div class="txt">恭喜,你的申请已提交</div>
		<div class="pic"></div>
		<div class="statusTxt">
			<div class="left">
				<div class="leftTxt">申请提交成功</div>
				<div class="leftDate">2016/06/06 16:30</div>
			</div>
			<div class="right">等待审核</div>
		</div>
	</div>

	<!-- 服务协议弹层 -->
	<div class="protocolContainer" id="J_protocolContainer">
		<div class="protocolBox">
			<div class="head">分销协议</div>
			<div class="content">
				<p style="line-height:1.9em;"><span style="color:#353535;font-size:16px;">一、协议内容</span></p><p style="line-height:1.7em;"><span style="font-size:14px;color:#353535;">（一）本协议由共享人资商城（以下简称商城）与申请使用商城分销商系统平台的商城店铺商家、商城会员(以下简称“分销商”或“您”)签署。</span></p><p style="line-height:1.7em;"><span style="font-size:14px;color:#353535;">（二）本协议内容包括协议正文及所有商城已经发布或将来可能发布的各类规则。所有规则为协议不可分割的一部分，与协议正文具有同等法律效力。</span></p><p style="line-height:1.7em;"><span style="font-size:14px;color:#353535;">（三）您以任何方式进入商城分销系统平台并使用服务即表示您已充分阅读、理解并同意接受本协议的条款和条件(以下合称“条款”)。</span></p><p style="line-height:1.7em;"><span style="font-size:14px;color:#353535;">（四）商城可能会基于国家法律法规变化、业务调整、产品更新及维护交易秩序、保护您的合法权益等需要，不时对本协议内容进行变更，并以至少提前7天在共享人资商城（www.renzishangcheng.com）公告的方式予以公布。</span></p><p style="line-height:1.7em;"><span style="font-size:14px;color:#353535;"><br /></span></p><p style="line-height:1.7em;"><span style="font-size:14px;color:#353535;">&nbsp;</span></p><p style="line-height:1.9em;"><span style="color:#353535;font-size:16px;">二、合作内容</span></p><p style="line-height:1.7em;"><span style="font-size:14px;color:#353535;">&nbsp; &nbsp;您申请成为商城分销商后，商城给分销商提供人力资源商品、提供分销推广工具，分销商进行网络分销并促成交易成功和获得商城提供的返点。</span></p><p style="line-height:1.7em;"><span style="font-size:14px;color:#353535;"><br /></span></p><p style="line-height:1.7em;"><span style="font-size:14px;color:#353535;">&nbsp;</span></p><p style="line-height:1.9em;"><span style="color:#353535;font-size:16px;">三、对账和结算</span></p><p style="line-height:1.7em;"><span style="font-size:14px;color:#353535;">（一）对帐周期：每月1次，对帐日期为每月15号。</span></p><p style="line-height:1.7em;"><span style="font-size:14px;color:#353535;">（二）商城给予分销商的返点：一级佣金比率为商品金额的具体比例双</span><span style="font-size:14px;color:#353535;">方商定，二级佣金比率为商品金额具体比例双方商定。</span></p><p style="line-height:1.7em;"><span style="font-size:14px;color:#353535;"><br /></span></p><p style="line-height:1.9em;"><span style="color:#353535;font-size:16px;">四、双方的权责</span></p><p style="line-height:1.7em;"><span style="font-size:14px;color:#353535;">（一）商城的责任与义务：<br />1、商城有权依据市场行情和商城人资供应商产品价格进行价格调整。<br />2、商城有权监督产品的销售，并要求分销商予以改进，分销商须配合解决问题。</span></p><p style="line-height:1.7em;"><span style="font-size:14px;color:#353535;">（二）分销商的权利、义务：<br />1、分销商有义务对商城商品进行宣传、信息反馈以及提供相关的市场分析。<br />2、若未经商城书面同意，分销商不得将分销权转让给第三方，否则视为无效，商城有权予以撤销。<br />3、分销商不得有损商城的形象及声誉等行为。因分销商造成商城的形象或声誉损害的，商城有权随时终止合同，并追究分销商法律责任。</span></p><p style="line-height:1.7em;"><span style="font-size:14px;color:#353535;">4、分销商必须尊重商城的知识产权、商标权不得侵害商城知识产权、商标权。</span></p><p style="line-height:1.7em;"><span style="font-size:14px;color:#353535;">5、分销商确保不单方面使用商城任何产品、资料、做与商城分销无关的事宜。</span></p><p style="line-height:1.7em;"><span style="font-size:14px;color:#353535;"><br /></span></p><p style="line-height:1.7em;"><span style="font-size:14px;color:#353535;">&nbsp;</span></p><p style="line-height:1.9em;"><span style="color:#353535;font-size:16px;">五、免责声明</span></p><p style="line-height:1.7em;"><span style="font-size:14px;color:#353535;">（一）商城将会在现行的技术条件下**限度地确保服务的有效性和可用性，但因电信故障、黑客攻击或政策变动等不可抗力或不可控制等第三方因素，可能导致我们的部分或全部服务无效或存在瑕疵，我们会尽快以适当的方式通知您。<span style="color:#353535;">商城无需为此承担责任</span>。</span></p><p style="line-height:1.7em;"><span style="font-size:14px;color:#353535;">（二）因以下情况造成网络服务在合理时间内的中断，商城无需为此承担责任</span></p><p style="line-height:1.7em;"><span style="font-size:14px;color:#353535;">1、商城需要定期或不定期地对提供网络服务的平台或相关的设备进行检修或者维护，商城保留不经事先通知为维修保养、升级或其它目的暂停本服务任何部分的权利；</span></p><p style="line-height:1.7em;"><span style="font-size:14px;color:#353535;">2、您的电脑软硬件和通信线路、供电线路出现故障的；</span></p><p style="line-height:1.7em;"><span style="font-size:14px;color:#353535;">3、因病毒、木马、恶意程序攻击、网络拥堵、系统不稳定、系统或设备故障、通讯故障、电力故障、银行原因、第三方服务瑕疵或政府行为等原因。</span></p><p style="line-height:1.7em;"><span style="font-size:14px;color:#353535;"><br /></span></p><p style="line-height:1.9em;"><span style="color:#353535;font-size:16px;">六、其他约定</span></p><p style="line-height:1.7em;"><span style="font-size:14px;color:#353535;">（一）本协议适用中华人民共和国大陆地区法律。因商城与分销商就本协议的签订、履行或解释发生争议，双方应努力友好协商解决。如协商不成，商城和分销商同意由商城所在地法院管辖审理双方的纠纷或争议。</span></p><p style="line-height:1.7em;"><span style="font-size:14px;color:#353535;">（二）本协议内容包括协议正文、附件及所有商城已经发布的或将来可能发布的商城规则、经营规范等文件。这些文件是本协议不可分割的一部分，与本协议具有相同法律效力。</span></p><p style="line-height:1.7em;"><span style="font-size:14px;color:#353535;">（三）商城有权以修改、更新等方式不时调整本协议和相关规则的内容，相关内容将公布于商城平台（www.renzishangcheng.com），调整后的内容将于公布之日开始生效。</span></p><p style="padding:0px;vertical-align:top;line-height:1.7em;"><br /></p><p style="line-height:1.7em;"><br /></p>
			</div>
			<div class="btn" id="J_protocolBtn">确定</div>
		</div>
	</div>
</body>
</html>